<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'larayellow',

    /*
     * Package.
     */
    'package'   => 'yellowpage',

    /*
     * Modules.
     */
    'modules'   => ['yellowpage'],

    
    'yellowpage'       => [
        'model' => [
            'model' => \Larayellow\Yellowpage\Models\Yellowpage::class,
            'repository' => \Larayellow\Yellowpage\Repositories\Eloquent\YellowpageRepository::class,
            'table' => 'yellowpages',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'title',  'category_id',  'subcategory_id',  'city_id',  'district_id',  'state_id',  'country_id',  'zipcode',  'detail',  'location',  'lattitude',  'longitude',  'phone',  'website',  'description',  'openig_hours',  'features',  'tags',  'yellopage_type',  'images',  'created_at',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'yellowpage/yellowpage',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Larayellow',
            'package' => 'Yellowpage',
            'module' => 'Yellowpage',
        ],
    ],
];
