<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateYellowpagesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: yellowpages
         */
        Schema::create('yellowpages', function ($table) {
            $table->increments('id');
            $table->string('title', 30)->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('subcategory_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->integer('district_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->text('zipcode')->nullable();
            $table->string('detail', 50)->nullable();
            $table->text('location')->nullable();
            $table->text('lattitude')->nullable();
            $table->text('longitude')->nullable();
            $table->integer('phone')->nullable();
            $table->text('website')->nullable();
            $table->text('description')->nullable();
            $table->text('openig_hours')->nullable();
            $table->text('features')->nullable();
            $table->text('tags')->nullable();
            $table->text('yellopage_type')->nullable();
            $table->text('images')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('yellowpages');
    }
}
