<?php

namespace Larayellow\Yellowpage\Repositories\Eloquent;

use Larayellow\Yellowpage\Interfaces\YellowpageRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Larayellow\Yellowpage\Repositories\Eloquent\Presenters\YellowpageItemPresenter;


class YellowpageRepository extends BaseRepository implements YellowpageRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('larayellow.yellowpage.yellowpage.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('larayellow.yellowpage.yellowpage.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return YellowpageItemPresenter::class;
    }
}
